package com.ruoyi.project.affair.service;

import java.util.List;
import com.ruoyi.project.affair.domain.TIntercom;

/**
 * 对讲机管理Service接口
 * 
 * @author ruoyi
 * @date 2020-12-02
 */
public interface ITIntercomService 
{
    /**
     * 查询对讲机管理
     * 
     * @param id 对讲机管理ID
     * @return 对讲机管理
     */
    public TIntercom selectTIntercomById(Long id);

    /**
     * 查询对讲机管理列表
     * 
     * @param tIntercom 对讲机管理
     * @return 对讲机管理集合
     */
    public List<TIntercom> selectTIntercomList(TIntercom tIntercom);

    /**
     * 新增对讲机管理
     * 
     * @param tIntercom 对讲机管理
     * @return 结果
     */
    public int insertTIntercom(TIntercom tIntercom);

    /**
     * 修改对讲机管理
     * 
     * @param tIntercom 对讲机管理
     * @return 结果
     */
    public int updateTIntercom(TIntercom tIntercom);

    /**
     * 批量删除对讲机管理
     * 
     * @param ids 需要删除的对讲机管理ID
     * @return 结果
     */
    public int deleteTIntercomByIds(Long[] ids);

    /**
     * 删除对讲机管理信息
     * 
     * @param id 对讲机管理ID
     * @return 结果
     */
    public int deleteTIntercomById(Long id);
}
